"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports["default"] = Right;

var _react = _interopRequireDefault(require("react"));

var _propTypes = _interopRequireDefault(require("prop-types"));

var _reactBootstrap = require("react-bootstrap");

var _fontIcon = _interopRequireDefault(require("../font-icon"));

var _const = require("./const");

function Right(props) {
  var onClick = props.onClick,
      icon = props.icon,
      disabled = props.disabled;
  return /*#__PURE__*/_react["default"].createElement(_reactBootstrap.Button, {
    onClick: onClick,
    className: "btn-icon action-input__right-button",
    disabled: disabled
  }, /*#__PURE__*/_react["default"].createElement(_fontIcon["default"], {
    name: icon,
    size: "24px"
  }));
}

Right.side = _const.SIDES.RIGHT;
Right.propTypes = {
  onClick: _propTypes["default"].func.isRequired,
  icon: _propTypes["default"].string.isRequired,
  disabled: _propTypes["default"].bool
};