"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports["default"] = EditableTableRowButton;

var _react = _interopRequireDefault(require("react"));

var _propTypes = _interopRequireDefault(require("prop-types"));

var _reactBootstrap = require("react-bootstrap");

var _fontIcon = _interopRequireDefault(require("../../font-icon"));

function EditableTableRowButton(_ref) {
  var onClick = _ref.onClick,
      disabled = _ref.disabled,
      iconName = _ref.iconName;
  return /*#__PURE__*/_react["default"].createElement(_reactBootstrap.Button, {
    className: "btn-icon pull-right",
    onClick: onClick,
    disabled: disabled
  }, /*#__PURE__*/_react["default"].createElement(_fontIcon["default"], {
    name: iconName,
    size: "24px"
  }));
}

EditableTableRowButton.propTypes = {
  onClick: _propTypes["default"].func.isRequired,
  disabled: _propTypes["default"].bool,
  iconName: _propTypes["default"].string
};
EditableTableRowButton.defaultProps = {
  disabled: false
};