"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports["default"] = FileUploadPlaceholder;

var _react = _interopRequireDefault(require("react"));

var _propTypes = _interopRequireDefault(require("prop-types"));

var _classnames = _interopRequireDefault(require("classnames"));

var _fontIcon = _interopRequireDefault(require("../font-icon"));

require("./style.scss");

function FileUploadPlaceholder(_ref) {
  var className = _ref.className,
      uploadPlaceholderMessage = _ref.uploadPlaceholderMessage;
  var classes = (0, _classnames["default"])('file-upload-placeholder', className);
  return /*#__PURE__*/_react["default"].createElement("div", {
    className: classes
  }, /*#__PURE__*/_react["default"].createElement("div", null, /*#__PURE__*/_react["default"].createElement(_fontIcon["default"], {
    name: "add"
  }), /*#__PURE__*/_react["default"].createElement("div", null, uploadPlaceholderMessage)));
}

FileUploadPlaceholder.propTypes = {
  /**
   * Additional classes to apply
   */
  className: _propTypes["default"].string,
  uploadPlaceholderMessage: _propTypes["default"].string
};