"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports["default"] = CircularLoader;

var _react = _interopRequireDefault(require("react"));

var _propTypes = _interopRequireDefault(require("prop-types"));

var _classnames = _interopRequireDefault(require("classnames"));

require("./style.scss");

function CircularLoader(_ref) {
  var className = _ref.className,
      size = _ref.size;
  var classNameMap = (0, _classnames["default"])(className, 'circular-loader');
  var style = size && {
    width: size,
    height: size
  };
  return /*#__PURE__*/_react["default"].createElement("div", {
    className: classNameMap,
    style: style
  }, /*#__PURE__*/_react["default"].createElement("svg", {
    className: "circular-loader__svg",
    viewBox: "25 25 50 50"
  }, /*#__PURE__*/_react["default"].createElement("circle", {
    className: "circular-loader__circle-background",
    cx: "50",
    cy: "50",
    r: "20"
  }), /*#__PURE__*/_react["default"].createElement("circle", {
    className: "circular-loader__circle-path",
    cx: "50",
    cy: "50",
    r: "20"
  })));
}

CircularLoader.propTypes = {
  className: _propTypes["default"].string,
  size: _propTypes["default"].string
};