"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

var _typeof = require("@babel/runtime/helpers/typeof");

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports["default"] = void 0;

var _classCallCheck2 = _interopRequireDefault(require("@babel/runtime/helpers/classCallCheck"));

var _createClass2 = _interopRequireDefault(require("@babel/runtime/helpers/createClass"));

var _assertThisInitialized2 = _interopRequireDefault(require("@babel/runtime/helpers/assertThisInitialized"));

var _inherits2 = _interopRequireDefault(require("@babel/runtime/helpers/inherits"));

var _possibleConstructorReturn2 = _interopRequireDefault(require("@babel/runtime/helpers/possibleConstructorReturn"));

var _getPrototypeOf2 = _interopRequireDefault(require("@babel/runtime/helpers/getPrototypeOf"));

var _map2 = _interopRequireDefault(require("lodash/map"));

var _range2 = _interopRequireDefault(require("lodash/range"));

var _react = _interopRequireWildcard(require("react"));

var _propTypes = _interopRequireDefault(require("prop-types"));

var _react2 = _interopRequireDefault(require("auto-bind/react"));

var _reactBootstrap = require("react-bootstrap");

function _getRequireWildcardCache(nodeInterop) { if (typeof WeakMap !== "function") return null; var cacheBabelInterop = new WeakMap(); var cacheNodeInterop = new WeakMap(); return (_getRequireWildcardCache = function _getRequireWildcardCache(nodeInterop) { return nodeInterop ? cacheNodeInterop : cacheBabelInterop; })(nodeInterop); }

function _interopRequireWildcard(obj, nodeInterop) { if (!nodeInterop && obj && obj.__esModule) { return obj; } if (obj === null || _typeof(obj) !== "object" && typeof obj !== "function") { return { "default": obj }; } var cache = _getRequireWildcardCache(nodeInterop); if (cache && cache.has(obj)) { return cache.get(obj); } var newObj = {}; var hasPropertyDescriptor = Object.defineProperty && Object.getOwnPropertyDescriptor; for (var key in obj) { if (key !== "default" && Object.prototype.hasOwnProperty.call(obj, key)) { var desc = hasPropertyDescriptor ? Object.getOwnPropertyDescriptor(obj, key) : null; if (desc && (desc.get || desc.set)) { Object.defineProperty(newObj, key, desc); } else { newObj[key] = obj[key]; } } } newObj["default"] = obj; if (cache) { cache.set(obj, newObj); } return newObj; }

function _createSuper(Derived) { var hasNativeReflectConstruct = _isNativeReflectConstruct(); return function _createSuperInternal() { var Super = (0, _getPrototypeOf2["default"])(Derived), result; if (hasNativeReflectConstruct) { var NewTarget = (0, _getPrototypeOf2["default"])(this).constructor; result = Reflect.construct(Super, arguments, NewTarget); } else { result = Super.apply(this, arguments); } return (0, _possibleConstructorReturn2["default"])(this, result); }; }

function _isNativeReflectConstruct() { if (typeof Reflect === "undefined" || !Reflect.construct) return false; if (Reflect.construct.sham) return false; if (typeof Proxy === "function") return true; try { Boolean.prototype.valueOf.call(Reflect.construct(Boolean, [], function () {})); return true; } catch (e) { return false; } }

var NumericDropdown = /*#__PURE__*/function (_Component) {
  (0, _inherits2["default"])(NumericDropdown, _Component);

  var _super = _createSuper(NumericDropdown);

  function NumericDropdown(props) {
    var _this;

    (0, _classCallCheck2["default"])(this, NumericDropdown);
    _this = _super.call(this, props);
    (0, _react2["default"])((0, _assertThisInitialized2["default"])(_this));
    return _this;
  }

  (0, _createClass2["default"])(NumericDropdown, [{
    key: "componentWillMount",
    value: function componentWillMount() {
      this.createNumberOptions();
    }
  }, {
    key: "componentWillReceiveProps",
    value: function componentWillReceiveProps() {
      this.createNumberOptions();
    }
  }, {
    key: "createNumberOptions",
    value: function createNumberOptions() {
      var _this$props = this.props,
          min = _this$props.min,
          max = _this$props.max;
      this.setState({
        numberOptions: (0, _range2["default"])(min, max + 1)
      });
    }
  }, {
    key: "render",
    value: function render() {
      var _this$props2 = this.props,
          onChange = _this$props2.onChange,
          value = _this$props2.value;
      var numberOptions = this.state.numberOptions;
      return /*#__PURE__*/_react["default"].createElement(_reactBootstrap.Dropdown, {
        className: "block",
        onSelect: onChange
      }, /*#__PURE__*/_react["default"].createElement(_reactBootstrap.Dropdown.Toggle, null, value), /*#__PURE__*/_react["default"].createElement(_reactBootstrap.Dropdown.Menu, null, (0, _map2["default"])(numberOptions, function (key) {
        return /*#__PURE__*/_react["default"].createElement(_reactBootstrap.MenuItem, {
          key: key,
          eventKey: key
        }, key);
      })));
    }
  }]);
  return NumericDropdown;
}(_react.Component);

exports["default"] = NumericDropdown;
NumericDropdown.propTypes = {
  min: _propTypes["default"].number.isRequired,
  max: _propTypes["default"].number.isRequired,
  onChange: _propTypes["default"].func.isRequired,
  value: _propTypes["default"].number.isRequired
};
NumericDropdown.defaultValues = {
  min: 1,
  max: 10
};