"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports["default"] = exports.IMAGESCC_CUSTOM_PLUGIN = exports.EMOJI_CUSTOM_PLUGIN = void 0;
// Docs on custom plugins: http://suneditor.com/sample/html/customPlugins.html
var IMAGESCC_CUSTOM_PLUGIN = 'imagesCCcustomPlugin';
exports.IMAGESCC_CUSTOM_PLUGIN = IMAGESCC_CUSTOM_PLUGIN;
var EMOJI_CUSTOM_PLUGIN = 'emojiCustomPlugin';
exports.EMOJI_CUSTOM_PLUGIN = EMOJI_CUSTOM_PLUGIN;

var initImagesCC = function initImagesCC(onImagesButtonClick) {
  return {
    name: IMAGESCC_CUSTOM_PLUGIN,
    display: 'command',
    add: function add() {},
    action: onImagesButtonClick
  };
};

var initEmojiPicker = function initEmojiPicker(onEmojiButtonClick) {
  return {
    name: EMOJI_CUSTOM_PLUGIN,
    display: 'command',
    add: function add() {},
    action: onEmojiButtonClick
  };
};

var _default = {
  IMAGESCC_CUSTOM_PLUGIN: IMAGESCC_CUSTOM_PLUGIN,
  EMOJI_CUSTOM_PLUGIN: EMOJI_CUSTOM_PLUGIN,
  initImagesCC: initImagesCC,
  initEmojiPicker: initEmojiPicker
};
exports["default"] = _default;