"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports["default"] = resolveReactComponent;

var _react = _interopRequireDefault(require("react"));

function resolveReactComponent(Component) {
  var props = arguments.length > 1 && arguments[1] !== undefined ? arguments[1] : {};

  if (!Component) {
    return null;
  }

  if ( /*#__PURE__*/_react["default"].isValidElement(Component)) {
    return /*#__PURE__*/_react["default"].cloneElement(Component, props);
  }

  return /*#__PURE__*/_react["default"].createElement(Component, props);
}