"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports["default"] = Dot;

var _react = _interopRequireDefault(require("react"));

var _propTypes = _interopRequireDefault(require("prop-types"));

var _classnames = _interopRequireDefault(require("classnames"));

require("./style.scss");

function Dot(_ref) {
  var size = _ref.size,
      color = _ref.color,
      className = _ref.className;
  var classes = (0, _classnames["default"])('dot', className);
  var style = {};

  if (size) {
    style.width = size;
    style.height = size;
  }

  if (color) {
    style.backgroundColor = color;
  }

  return /*#__PURE__*/_react["default"].createElement("div", {
    className: classes,
    style: style
  });
}

Dot.propTypes = {
  size: _propTypes["default"].string,
  color: _propTypes["default"].string,
  className: _propTypes["default"].string
};