"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports["default"] = TableRowTextPlaceholder;

var _react = _interopRequireDefault(require("react"));

var _propTypes = _interopRequireDefault(require("prop-types"));

function TableRowTextPlaceholder(_ref) {
  var colSpan = _ref.colSpan,
      text = _ref.text;
  return /*#__PURE__*/_react["default"].createElement("tr", {
    className: "table-row-text-placeholder"
  }, /*#__PURE__*/_react["default"].createElement("td", {
    colSpan: colSpan
  }, text));
}

TableRowTextPlaceholder.propTypes = {
  colSpan: _propTypes["default"].number,
  text: _propTypes["default"].string
};
TableRowTextPlaceholder.defaultProps = {
  colSpan: 1
};