"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

var _typeof = require("@babel/runtime/helpers/typeof");

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports["default"] = void 0;

var _extends2 = _interopRequireDefault(require("@babel/runtime/helpers/extends"));

var _objectWithoutProperties2 = _interopRequireDefault(require("@babel/runtime/helpers/objectWithoutProperties"));

var _classCallCheck2 = _interopRequireDefault(require("@babel/runtime/helpers/classCallCheck"));

var _createClass2 = _interopRequireDefault(require("@babel/runtime/helpers/createClass"));

var _assertThisInitialized2 = _interopRequireDefault(require("@babel/runtime/helpers/assertThisInitialized"));

var _inherits2 = _interopRequireDefault(require("@babel/runtime/helpers/inherits"));

var _possibleConstructorReturn2 = _interopRequireDefault(require("@babel/runtime/helpers/possibleConstructorReturn"));

var _getPrototypeOf2 = _interopRequireDefault(require("@babel/runtime/helpers/getPrototypeOf"));

var _isFunction2 = _interopRequireDefault(require("lodash/isFunction"));

var _react = _interopRequireWildcard(require("react"));

var _react2 = _interopRequireDefault(require("auto-bind/react"));

var _classnames = _interopRequireDefault(require("classnames"));

var _emojiMart = require("emoji-mart");

require("emoji-mart/css/emoji-mart.css");

var _propTypes = _interopRequireDefault(require("prop-types"));

var _fontIcon = _interopRequireDefault(require("../font-icon"));

require("./style.scss");

var _excluded = ["iconClassName", "showTogglePickerButton"];

function _getRequireWildcardCache(nodeInterop) { if (typeof WeakMap !== "function") return null; var cacheBabelInterop = new WeakMap(); var cacheNodeInterop = new WeakMap(); return (_getRequireWildcardCache = function _getRequireWildcardCache(nodeInterop) { return nodeInterop ? cacheNodeInterop : cacheBabelInterop; })(nodeInterop); }

function _interopRequireWildcard(obj, nodeInterop) { if (!nodeInterop && obj && obj.__esModule) { return obj; } if (obj === null || _typeof(obj) !== "object" && typeof obj !== "function") { return { "default": obj }; } var cache = _getRequireWildcardCache(nodeInterop); if (cache && cache.has(obj)) { return cache.get(obj); } var newObj = {}; var hasPropertyDescriptor = Object.defineProperty && Object.getOwnPropertyDescriptor; for (var key in obj) { if (key !== "default" && Object.prototype.hasOwnProperty.call(obj, key)) { var desc = hasPropertyDescriptor ? Object.getOwnPropertyDescriptor(obj, key) : null; if (desc && (desc.get || desc.set)) { Object.defineProperty(newObj, key, desc); } else { newObj[key] = obj[key]; } } } newObj["default"] = obj; if (cache) { cache.set(obj, newObj); } return newObj; }

function _createSuper(Derived) { var hasNativeReflectConstruct = _isNativeReflectConstruct(); return function _createSuperInternal() { var Super = (0, _getPrototypeOf2["default"])(Derived), result; if (hasNativeReflectConstruct) { var NewTarget = (0, _getPrototypeOf2["default"])(this).constructor; result = Reflect.construct(Super, arguments, NewTarget); } else { result = Super.apply(this, arguments); } return (0, _possibleConstructorReturn2["default"])(this, result); }; }

function _isNativeReflectConstruct() { if (typeof Reflect === "undefined" || !Reflect.construct) return false; if (Reflect.construct.sham) return false; if (typeof Proxy === "function") return true; try { Boolean.prototype.valueOf.call(Reflect.construct(Boolean, [], function () {})); return true; } catch (e) { return false; } }

var EmojiPicker = /*#__PURE__*/function (_Component) {
  (0, _inherits2["default"])(EmojiPicker, _Component);

  var _super = _createSuper(EmojiPicker);

  function EmojiPicker(props) {
    var _this;

    (0, _classCallCheck2["default"])(this, EmojiPicker);
    _this = _super.call(this, props);
    (0, _react2["default"])((0, _assertThisInitialized2["default"])(_this));
    _this.state = {
      isPickerShown: false
    };
    return _this;
  }

  (0, _createClass2["default"])(EmojiPicker, [{
    key: "handleToggleEmojiPicker",
    value: function handleToggleEmojiPicker() {
      var _this2 = this;

      var isPickerShown = this.state.isPickerShown;
      this.setState({
        isPickerShown: !isPickerShown
      }, function () {
        return _this2.toggleEmojiPicker();
      });
    }
  }, {
    key: "toggleEmojiPicker",
    value: function toggleEmojiPicker() {
      var onToggleEmojiPicker = this.props.onToggleEmojiPicker;

      if ((0, _isFunction2["default"])(onToggleEmojiPicker)) {
        onToggleEmojiPicker();
      }
    }
  }, {
    key: "show",
    value: function show() {
      this.setState({
        isPickerShown: true
      });
    }
  }, {
    key: "hide",
    value: function hide() {
      this.setState({
        isPickerShown: false
      });
    }
  }, {
    key: "render",
    value: function render() {
      var isPickerShown = this.state.isPickerShown;
      var _this$props = this.props,
          iconClassName = _this$props.iconClassName,
          showTogglePickerButton = _this$props.showTogglePickerButton,
          otherProps = (0, _objectWithoutProperties2["default"])(_this$props, _excluded);
      var iconClasses = (0, _classnames["default"])(iconClassName, {
        'emoji-picker__is-active': isPickerShown
      });
      return /*#__PURE__*/_react["default"].createElement("div", null, showTogglePickerButton && /*#__PURE__*/_react["default"].createElement("div", null, /*#__PURE__*/_react["default"].createElement(_fontIcon["default"], {
        name: "emoticon",
        size: "24px",
        className: iconClasses,
        onClick: this.handleToggleEmojiPicker
      })), /*#__PURE__*/_react["default"].createElement("div", null, isPickerShown && /*#__PURE__*/_react["default"].createElement(_emojiMart.Picker, (0, _extends2["default"])({
        title: '',
        emoji: '',
        emojiTooltip: true
      }, otherProps))));
    }
  }]);
  return EmojiPicker;
}(_react.Component);

exports["default"] = EmojiPicker;
EmojiPicker.propTypes = {
  onToggleEmojiPicker: _propTypes["default"].func,
  onSelect: _propTypes["default"].func,
  iconClassName: _propTypes["default"].string,
  style: _propTypes["default"].object,
  showTogglePickerButton: _propTypes["default"].bool
};
EmojiPicker.defaultProps = {
  showTogglePickerButton: true
};