"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports["default"] = void 0;

var _react = _interopRequireDefault(require("react"));

var _propTypes = _interopRequireDefault(require("prop-types"));

var _services = require("../../../../services");

function UnsplashFooter(_ref) {
  var footerText = _ref.footerText;
  return /*#__PURE__*/_react["default"].createElement("div", null, footerText, ' ', /*#__PURE__*/_react["default"].createElement("a", {
    href: _services.unsplash.HOMEPAGE_URL,
    target: "_blank"
  }, /*#__PURE__*/_react["default"].createElement("img", {
    className: "image-picker-modal__unsplash-logo",
    src: _services.unsplash.logo
  })));
}

UnsplashFooter.propTypes = {
  footerText: _propTypes["default"].string
};
UnsplashFooter.defaultProps = {
  footerText: 'The internet’s source of freely-usable images. by'
};

var _default = /*#__PURE__*/_react["default"].memo(UnsplashFooter);

exports["default"] = _default;