"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports["default"] = void 0;

var _defineProperty2 = _interopRequireDefault(require("@babel/runtime/helpers/defineProperty"));

var _const = require("../const");

var _DEFAULT_ERROR_MSG_CO;

var _default = (_DEFAULT_ERROR_MSG_CO = {}, (0, _defineProperty2["default"])(_DEFAULT_ERROR_MSG_CO, _const.DEFAULT_ERROR_MSG_CODE, 'Something went wrong. Please try again.'), (0, _defineProperty2["default"])(_DEFAULT_ERROR_MSG_CO, _const.IMAGE_UPLOAD_ERROR, 'Upload failed.'), (0, _defineProperty2["default"])(_DEFAULT_ERROR_MSG_CO, _const.IMAGE_UPLOAD_SIZE_TOO_BIG, function (_ref) {
  var maxSize = _ref.maxSize;
  return "Max allowed image size is ".concat(maxSize / 1000000, "MB!");
}), (0, _defineProperty2["default"])(_DEFAULT_ERROR_MSG_CO, _const.IMAGE_UPLOAD_DIMENSIONS_TOO_SMALL, function (_ref2) {
  var width = _ref2.width,
      height = _ref2.height;
  return "Image must be at least ".concat(width, "x").concat(height, "px!");
}), (0, _defineProperty2["default"])(_DEFAULT_ERROR_MSG_CO, _const.IMAGE_UPLOAD_WIDTH_TOO_SMALL, function (_ref3) {
  var width = _ref3.width;
  return "Image width must be at least ".concat(width, "px!");
}), (0, _defineProperty2["default"])(_DEFAULT_ERROR_MSG_CO, _const.IMAGE_UPLOAD_HEIGHT_TOO_SMALL, function (_ref4) {
  var height = _ref4.height;
  return "Image height must be at least ".concat(height, "px!");
}), (0, _defineProperty2["default"])(_DEFAULT_ERROR_MSG_CO, _const.IMAGE_UPLOAD_DIMENSIONS_TOO_BIG, function (_ref5) {
  var width = _ref5.width,
      height = _ref5.height;
  return "Image must not be more than ".concat(width, "x").concat(height, "px!");
}), (0, _defineProperty2["default"])(_DEFAULT_ERROR_MSG_CO, _const.IMAGE_UPLOAD_WIDTH_TOO_BIG, function (_ref6) {
  var width = _ref6.width;
  return "Image width can be max ".concat(width, "px!");
}), (0, _defineProperty2["default"])(_DEFAULT_ERROR_MSG_CO, _const.IMAGE_UPLOAD_HEIGHT_TOO_BIG, function (_ref7) {
  var height = _ref7.height;
  return "Image height can be max ".concat(height, "px!");
}), (0, _defineProperty2["default"])(_DEFAULT_ERROR_MSG_CO, _const.IMAGE_UPLOAD_DIMENSIONS_INVALID, function (_ref8) {
  var width = _ref8.width,
      height = _ref8.height;
  return "Image dimensions must be exactly ".concat(width, "x").concat(height, "px!");
}), (0, _defineProperty2["default"])(_DEFAULT_ERROR_MSG_CO, _const.IMAGE_UPLOAD_WIDTH_INVALID, function (_ref9) {
  var width = _ref9.width;
  return "Image width must be exactly ".concat(width, "px!");
}), (0, _defineProperty2["default"])(_DEFAULT_ERROR_MSG_CO, _const.IMAGE_UPLOAD_HEIGHT_INVALID, function (_ref10) {
  var height = _ref10.height;
  return "Image height must be exactly ".concat(height, "px!");
}), (0, _defineProperty2["default"])(_DEFAULT_ERROR_MSG_CO, _const.IMAGE_UPLOAD_INVALID_TYPE, 'File type is invalid.'), (0, _defineProperty2["default"])(_DEFAULT_ERROR_MSG_CO, _const.IMAGE_PREVIEW_DELETE_ERROR, 'Delete failed.'), _DEFAULT_ERROR_MSG_CO);

exports["default"] = _default;