"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.getMessage = getMessage;
exports.setDictionary = setDictionary;

var _dictionary = _interopRequireDefault(require("./dictionary"));

var _const = require("../const");

var dictionary = _dictionary["default"];

function setDictionary(dict) {
  dictionary = dict;
}

function getMessage(code) {
  if (!dictionary) {
    return null;
  }

  var dictionaryItem = dictionary[code];
  return dictionaryItem || dictionary[_const.DEFAULT_ERROR_MSG_CODE];
}