"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports["default"] = NodeLevel;

var _react = _interopRequireDefault(require("react"));

var _propTypes = _interopRequireDefault(require("prop-types"));

function NodeLevel(_ref) {
  var level = _ref.level,
      offset = _ref.offset,
      step = _ref.step;
  var indent = offset + level * step;
  var style = {
    marginLeft: "".concat(indent, "px")
  };
  return /*#__PURE__*/_react["default"].createElement("div", {
    style: style
  });
}

NodeLevel.propTypes = {
  level: _propTypes["default"].number,
  offset: _propTypes["default"].number,
  step: _propTypes["default"].number
};