"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports["default"] = Radio;

var _extends2 = _interopRequireDefault(require("@babel/runtime/helpers/extends"));

var _react = _interopRequireDefault(require("react"));

var _propTypes = _interopRequireDefault(require("prop-types"));

var _reactBootstrap = require("react-bootstrap");

var _classnames = _interopRequireDefault(require("classnames"));

function Radio(props) {
  var classes = (0, _classnames["default"])('se-radio', 'radio', props.className, {
    selected: props.checked
  });
  return /*#__PURE__*/_react["default"].createElement(_reactBootstrap.Radio, (0, _extends2["default"])({
    bsClass: classes
  }, props), /*#__PURE__*/_react["default"].createElement("span", {
    className: "radio-icon"
  }), props.children);
}

Radio.propTypes = {
  className: _propTypes["default"].string,
  checked: _propTypes["default"].bool,
  children: _propTypes["default"].node
};